#ifndef _SENDER_THREAD_H_
#define _SENDER_THREAD_H_

#include <Ice/Ice.h>
#include <IceUtil/Thread.h>

#include <dbengine.h>

class SenderThread : public IceUtil::Thread
{

private:

	bool isSync;
	bool isRunningLongTime;
	unsigned long iMaxSendNum;

	//unsigned long lInCount;
	//unsigned long lOutCount;

	short _iThreadIndex;

	pnote::DBEngineData data;
	Ice::Long _id;
	std::string _phoneno;

	Ice::CommunicatorPtr _communicator;
	Ice::PropertiesPtr _properties;

	void getPhoneNo();

public:

	static bool isInterrupted;

    //SenderThread();
    SenderThread(bool isSync,unsigned long iMaxSendNum,const Ice::PropertiesPtr& props,short iThreadIndex);
    ~SenderThread(){}

    virtual void run();


};

#endif /* !_SENDER_THREAD_H_ */

