#ifndef _DBENGINE_ICE
#define _DBENGINE_ICE

//#include <contentdata.ice>

module pnote
{
	sequence<byte> ContentList;

	exception ShutDownError
    {
     	string reason;
    };

	/* DCS 0 - english; 8 - unicode */
	struct DBEngineData
	{
		long ID;
		//string PhoneNo;
		short GroupID;
		short RuleID;
		bool ContentFlag;
		short ContentID;
		short DCS;
		ContentList content;
	};
	
	interface DBEngineHome
	{
		["ami", "amd"] nonmutating DBEngineData find(long ID,string strPhoneNo) throws ShutDownError;
	};

};

#endif _DBENGINE_ICE
